let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/vkrcf5jchyibdxwrgwcifxp2digqshdy-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/i5sd4dd4zi9czzzm404z7v3x87awmb2h-coreutils-8.31/bin";
  bzip2 = "/nix/store/bxf3ybqm1pczf74v2l49frrh69wgiaq2-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/y6pl3v2jz9n4gym8kbfh1hgcacp7y7m6-gzip-1.10/bin/gzip";
  xz = "/nix/store/i6xwa86h97wadzz26ycqz1ibh7sp88v5-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/nba5nrs0whxpywc075lkdqr1dwivwari-gnutar-1.32/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/i5sd4dd4zi9czzzm404z7v3x87awmb2h-coreutils-8.31/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/n6dqdndkv9kac66kdr988kaiyavl44x8-nix-2.3.5/bin";
  nixPrefix = "/nix/store/n6dqdndkv9kac66kdr988kaiyavl44x8-nix-2.3.5";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/n6dqdndkv9kac66kdr988kaiyavl44x8-nix-2.3.5/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
